%generation of big dataset with clusterregression
clear
nn=1000;%1000;%entries
dims=15;%%100;%dimensions
fname='cluster2x';%filename
%data generation parameters
clusters=7;
meanstddev=100;
means=randn(clusters,dims)*(1/sqrt(dims))*meanstddev;
dist=zeros(clusters,clusters);
for i=1:clusters
    for j=1:clusters
    dist(i,j)=norm(means(i,:)-means(j,:));
end
end
dist
clusterstddev=20;
%build data matrix
X=[];
Y=[];
Yc=[];
for i=1:nn
    ss=rand(1,1);%cluster selection
    if(ss==1) ss=0; end
    ss=floor(1+ss*clusters);%ss=1..clusters
    noisepos=randn(1,dims)*(1/sqrt(dims))*clusterstddev;%place points randomly around means
    X=[X;means(ss,:)+noisepos];
    Y=[Y;noisepos*(noisepos.')/(clusterstddev*clusterstddev)+randn(1,1)*0.3];%add 30% noise
end
%save data for command line version
psave(fname,X,Y);
ssave(fname,X,Y);
plot3(X(:,1),X(:,2),X(:,3),'r+',means(:,1),means(:,2),means(:,3),'bo')