/*
P-SVM Command Line Application
Copyright 2005 TU-Berlin, Tilman Knebel

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

If you use the software please cite 
"Sepp Hochreiter, Klaus Obermayer;
 Support Vector Machines for Dyadic Data, Neural Computation, 2005"
in your publications.
*/

extern bool verbose;//flag controlling message output
extern FILE* flog;
//#define C_TXT

#if defined(C_TXT)
#define C_ENDING ".txt"
#else
#define C_ENDING ""
#endif

void welcome();//print welcome message on text screen
void exit_with_help(PSVMmodel *p);//print help screen and use default parameters from Model
double konfilow(double alpha,double pos,double total);//calculate confidence interval for significances
double konfihigh(double alpha,double pos,double total);
int main(int argc,char* argv[]);
